Skip to content

Create an office hours schedule

Request

You can create a new office hours schedule for the workspace.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/jsonrequired
namestringrequired

The name of the office hours schedule.

Example:"Standard Support Hours"
time_zone_namestringrequired

The IANA time zone the schedule's hours are evaluated in.

Example:"America/New_York"
time_intervalsArray of objects(Office Hours Time Interval)required

The open intervals for the schedule. start_minute and end_minute must be on a 15-minute boundary.

curl -i -X POST \
  https://api.intercom.io/office_hours_schedules \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "name": "Standard Support Hours",
    "time_zone_name": "America/New_York",
    "time_intervals": [
      {
        "start_minute": 540,
        "end_minute": 1020
      }
    ]
  }'

Responses

Office hours schedule created

Bodyapplication/json
typestring

The type of the object - always office_hours_schedule.

Example:"office_hours_schedule"
idstring

The unique identifier for the office hours schedule.

Example:"123"
namestring

The name of the office hours schedule.

Example:"Standard Support Hours"
time_zone_namestring

The IANA time zone the schedule's hours are evaluated in.

Example:"America/New_York"
time_intervalsArray of objects(Office Hours Time Interval)

The open intervals that make up the weekly schedule.

twenty_four_sevenboolean

Whether the schedule is open 24/7.

Example:false
created_atinteger

The time the schedule was created as a Unix timestamp.

Example:1717200000
updated_atinteger

The time the schedule was last updated as a Unix timestamp.

Example:1717200000
Response
{ "type": "office_hours_schedule", "id": "125", "name": "Standard Support Hours", "time_zone_name": "America/New_York", "time_intervals": [ {} ], "twenty_four_seven": false, "created_at": 1717200000, "updated_at": 1717200000 }